#ifndef TRANSFORM_H

#include "camera.h"
#include "matrix.h"


Matrix Transform_Translate(Point &translation);
Matrix Transform_Rotate(Point &rotation);
Matrix Transform_Scale(float scale);
Matrix Transform_View(Camera &camera);
Matrix Transform_Perspective(Camera &camera);
Matrix Transform_Screen(Camera &camera);


#define TRANSFORM_H
#endif

